package br.net.venson;

import java.util.ArrayList;
import java.util.List;

class Playlist {
    private List<Song> songs = new ArrayList<>();

    public void addSong(String title, String path) {
        songs.add(new Song(title, path));
    }

    public PlaylistIterator createNormalIterator() {
        return new NormalIterator(songs);
    }

    public PlaylistIterator createShuffleIterator() {
        return new ShuffleIterator(songs);
    }
}
